GeographicLib: Gravity.cpp File Reference

GeographicLib 2.5.2

Loading...
Searching...
No Matches
Gravity.cpp File Reference

Command line utility for evaluating gravity fields. More...

`#include <iostream>`
`#include <string>`
`#include <sstream>`
`#include <fstream>`
`#include <GeographicLib/GravityModel.hpp>`
`#include <GeographicLib/GravityCircle.hpp>`
`#include <GeographicLib/DMS.hpp>`
`#include <GeographicLib/Utility.hpp>`
`#include "Gravity.usage"`

Go to the source code of this file.

## Functions
int | main (int argc, const char *const argv[])

## Detailed Description

Command line utility for evaluating gravity fields.

Copyright (c) Charles Karney (2011-2022) karne.nosp@m.y@al.nosp@m.um.mi.nosp@m.t.ed.nosp@m.u and licensed under the MIT/X11 License. For more information, see https://geographiclib.sourceforge.io/

See the man page for usage information.

Definition in file Gravity.cpp.

## Function Documentation

## ◆ main()

int main | ( | int | argc,
|  | const char *const | argv[] )

Definition at line 23 of file Gravity.cpp.

References GeographicLib::GravityModel::Circle(), GeographicLib::GravityModel::DateTime(), GeographicLib::DMS::Decode(), GeographicLib::DMS::DecodeLatLon(), GeographicLib::GravityModel::DefaultGravityName(), GeographicLib::GravityModel::DefaultGravityPath(), GeographicLib::GravityModel::Description(), GeographicLib::GravityModel::DISTURBANCE, GeographicLib::GravityCircle::Disturbance(), GeographicLib::GravityModel::Disturbance(), GeographicLib::Math::ds, GeographicLib::Math::extra_digits(), GeographicLib::GravityModel::GEOID_HEIGHT, GeographicLib::GravityCircle::GeoidHeight(), GeographicLib::GravityModel::GeoidHeight(), GeographicLib::GravityModel::GRAVITY, GeographicLib::GravityCircle::Gravity(), GeographicLib::GravityModel::Gravity(), GeographicLib::GravityModel::GravityFile(), GeographicLib::GravityModel::GravityModelName(), GeographicLib::DMS::LATITUDE, GeographicLib::DMS::LONGITUDE, GeographicLib::Math::qd, GeographicLib::Utility::set_digits(), GeographicLib::GravityModel::SPHERICAL_ANOMALY, GeographicLib::GravityCircle::SphericalAnomaly(), GeographicLib::GravityModel::SphericalAnomaly(), GeographicLib::Utility::str(), and GeographicLib::Utility::val().